> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/partner-contacts/list-partner-contacts-1.md).

# List partner contacts

List the contacts for all partners and filter them by partner or email.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["HubSpotOrApi","Partner.View"]}],"components":{"securitySchemes":{},"schemas":{"PartnerContactListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PartnerContactDto"},"nullable":true},"paginationSkipCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"PartnerContactDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"creationDate":{"type":"string","format":"date-time"},"isMainContact":{"type":"boolean"},"partnerId":{"type":"integer","format":"int32"},"userId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/partner-contacts":{"get":{"tags":["PartnerContacts"],"summary":"List partner contacts","description":"List the contacts for all partners and filter them by partner or email.","parameters":[{"name":"partner_id","in":"query","description":"The specific partner for which contacts must be returned.","schema":{"type":"integer","format":"int32"}},{"name":"level_id","in":"query","description":"The specific program level for which contacts must be returned.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first partner contact to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of partner contacts to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort the partner contacts by. The default is CreationDate.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned partner contacts. Accepted values: ASC, DESC. The default is DESC.","schema":{"type":"string"}},{"name":"email","in":"query","description":"The exact email of the partner contact to return.","schema":{"type":"string"}}],"responses":{"200":{"description":"Partner contacts returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactListResponseDto"}}}},"403":{"description":"The caller may not view partners"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/partner-contacts/list-partner-contacts-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
